Description

currently only the printd is available, which can only print the severity and the log message.

it would be easier to write such log messages, if a macro, which uses __FILE__, __LINE__,... would be there.

Another possibility would be the use of a standard logging framework like log4cxx or boost.log

History
#1 - 11/28/2010 06:24 PM - sam g

define STR_(S) #S
define STR(S) STR_(S)
define PRINTD(STATUS, FMT, ...) printd(STATUS, __FUNCTION__ ":" STR(__LINE__) ": " FMT, ##__VA_ARGS__)

would work, without any change in the printd function itself.

usage: PRINTD("init\n")

#2 - 12/22/2010 08:54 PM - sam g

sam g wrote:

[...]

would work, without any change in the printd function itself.

usage: PRINTD("init\n")

but only on WINDOWS systems, because gcc interprets __FUNCTION__ as a variable, thus concatinating is more difficult.

#3 - 06/12/2011 04:02 PM - sam g
- Resolution set to fixed

done in branches/inVRs_OSG

new macros:
#define PRINTD(STATUS, FMT, ...)
#define PRINTD_I(FMT, ...)
#define PRINTD_W(FMT, ...)
#define PRINTD_E(FMT, ...)
#define PRINTD_D(FMT, ...)

#4 - 06/14/2011 10:32 AM - sam g
- Status changed from New to Closed
